using FL.Nodes.DragonEgg;
using XGame.Framework.Data;
using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public static partial class NodeKeys
    {
        private static NodeKey _DragonEgg;
        public static NodeKey DragonEgg => _DragonEgg ?? (_DragonEgg = new NodeKey("DragonEgg", (uint)NodeGroupDefine.GameMain, typeof(DragonEggNode)));
    }
    public class DragonEggNode : Node
    {
        protected override void OnDispose()
        {

        }

        protected override void OnInited()
        {

        }

        protected override void AddComponent(INodeComponentGroup group)
        {
            group.Add(new UIComponent());
        }

        protected override void AddData(IDataGroup dataGroup)
        {
        }
    }
}